.form {
    background-color: #fff;
    padding: 30px 25px;
    border-radius: 5px;
    border: 1px solid #fafafa;
    display: flex;
    flex-direction: column;
    align-items: stretch;
    justify-content: flex-start;
    gap: 15px;
}
.form > .form-header {
    border: 1px solid #f1f1f1;
    margin: auto;
    background: #f1f1f1;
    width: 100%;
    padding: 15px;
}
.form > .form-header > .form-title {
    text-align: justify;
    font-size: 20px;
    font-weight: 600;
    color: #111;
}
.form > .form-header > .form-text {
    text-align: justify;
    color: #333;
    margin: 5px auto 0;
    font-size: 14px;
    font-weight: 300;
}
.form > .form-body {
    margin: auto;
    display: flex;
    flex-direction: column;
    align-items: stretch;
    justify-content: flex-start;
    gap: 5px;
    width: 100%;
}
.form > .form-body .form-status {
    padding: 10px;
    border: 1px solid transparent;
    font-size: 13px;
    font-weight: 400;
    margin: 7px auto;
    width: 100%;
    border-radius: 3px;
    display: none;
    opacity: 0;
    visibility: hidden;
    transition: all .3s ease;
}
.form > .form-body .form-status.show {
    display: block;
    opacity: 1;
    visibility: visible;
    transform: translateY(0);
}
.form > .form-body .form-status.status-error {
    color: #991b1b;
    background: #fef2f2;
    border-color: #fecaca;
}
.form > .form-body .form-status.status-info {
    color: #1e3a8a;
    background: #eff6ff;
    border-color: #bfdbfe;
}
.form > .form-body .form-status.status-success {
    color: #1f2937;
    background: #f0fdf4;
    border-color: #d1fae5;
}
.form > .form-body > .form-title {
    text-align: justify;
    color: #111;
    margin: auto;
    font-size: 16px;
    font-weight: 600;
}
.form > .form-body > .form-text {
    text-align: justify;
    color: #333;
    margin: auto;
    font-size: 15px;
    font-weight: 300;
}
.form > .form-body > .form-row {
    display: flex;
    flex-direction: row;
    align-items: stretch;
    justify-content: space-between;
    gap: 15px;
    width: 100%;
}
.form > .form-body .form-row .form-group {
    flex: 1;
    width: 100%;
}
.form > .form-body .form-group {
    display: flex;
    flex-direction: column;
    flex-wrap: wrap;
    width: 100%;
    gap: 5px;
    margin: 8px auto;
}
.form > .form-body .form-group > .form-label {
    font-size: 13px;
    font-weight: 500;
    color: #555;
    margin-left: 2px;
}
.form > .form-body .form-group > .form-label > span {
    color: red;
    font-weight: 300;
}
.form > .form-body .form-group > .form-control {
    height: 37px;
    padding: 5px 12px;
    border-radius: 3px;
    border: 1px solid #ddd;
    font-size: 13px;
    outline: none;
    transition: all 0.2s ease;
    background-color: #fff;
    max-width: 100%;
}
.form > .form-body .form-group > .form-control::placeholder {
    color: #aaa;
}
.form > .form-body .form-group > .form-control:focus {
    border-color: #333;
}
.form > .form-body .form-group > .form-control:disabled {
    opacity: .4;
    cursor: not-allowed;
}
.form > .form-body .form-group > textarea {
    resize: vertical;
    min-height: 80px;
    max-height: 180px;
    padding: 12px !important;
}
.form > .form-body .form-group .is-invalid {
    border-color: #DC3545 !important;
}
.form > .form-body .form-group .form-error {
    color: #DC3545;
    margin: 5px auto;
    display: block;
    font-size: 12px;
    font-weight: 400;
    margin-left: 3px;
}
.form > .form-body .form-group > .form-error {
    margin: 0;
}
.form > .form-footer {
    margin: 5px auto 0;
    width: 100%;
    display: flex;
    flex-direction: column;
    flex-wrap: wrap;
    width: 100%;
    gap: 5px;
}
.form > .form-footer > .form-btn {
    width: 100%;
    padding: 8px 16px;
    font-size: 14px;
    font-weight: 500;
    border-radius: 3px;
    border: 1px solid transparent;
    cursor: pointer;
    transition: all .3s ease;
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: center;
    gap: 10px;
}
form > .form-footer > .form-btn img {
    width: 15px;
    filter: brightness(0) invert(1);
}
.form > .form-footer > .form-btn.submit-btn {
    background: linear-gradient(100deg, #0a58ca, #273449);
    border-color: #0a58ca;
    color: #fff;
}
.form > .form-footer > .form-btn:hover {
    opacity: .8;
}
.form > .form-footer > .form-btn:active {
    transform: translateY(1px);
}










